/*! \file config.h general config file */
//*****************************************************************************
//
// File Name	: 'config.h'
// Title		: AVR project global include 
// Author		: Markus Schiesser 2007
// Created		: 01/01/2007
// Revised		: 04/27/2007
// Version		: 0.7
// Target MCU	: ATMEL AVR Series
// Editor Tabs	: 3
//
//	Description : This include file is designed to contain items useful to all
//					code files and projects.
//
//
//*****************************************************************************

#ifndef _CONFIG_H_
#define _CONFIG_H_


/*----- I N C L U D E S ------*/

#include <avr/io.h>
#include <avr/interrupt.h>


/*----- M A C R O S -----*/


/*----- D E F I N I T I O N -----*/

#define F_CPU            8000        // Available value: 16000 12000 8000 


/*----- D E C L A R A T I O N S -----*/

#define FALSE    		 0
#define TRUE    		 1
#define ENABLE  		 1
#define DISABLE 		 0

#endif  /* CONFIG_H */


