/*! \file can.c \brief CAN driver with limited can support. */
// *****************************************************************************
//
// File Name	: 'main.c'
// Title		: can demo
// Author		: Markus Schiesser 2007
// Created		: 01/01/2007
// Revised		: 04/27/2007
// Version		: 0.7
// Target MCU	: ATMEL AVR Series
// Editor Tabs	: 3
//
// Demo RX/TX interrupt & RX/TX polling	
//
// *****************************************************************************

#include "config.h"
#include "library/can.h"
#include "library/can_config.h"

extern struct MOb_struct MOb_TX;
extern struct MOb_struct MOb_RX;
extern struct CAN_Service_struct CAN_Service;

int main (void)
{	

DDRC = 0xff;
	/*------- Enable AVR Init ------------*/
	SREG=0x80;

	/*------- Disable CLKK Prescaler ------------*/
	CLKPR=0x80; // CLKPR=0x00;


	CAN_Init();
	CAN_SetTXMOb (14, ENABLE);
	CAN_SetTXMOb (10, DISABLE);
	CAN_SetRXMOb (5,0x1FEDABC0,0x1FEDABCF,ENABLE);
	CAN_SetRXMOb (6,0x00000123,0x00000140,ENABLE);
	CAN_SetRXMOb (7,0x1FEDABB0,0x1FEDABFF,DISABLE);
	

	MOb_TX.ext_id = 0x1FEADDD2;
	MOb_TX.MOb_number = 14;
	MOb_TX.data_length = 8;
	MOb_TX.msg[0]= 0x11;
	MOb_TX.msg[1]= 0x12;
	MOb_TX.msg[2]= 0x13;
	MOb_TX.msg[3]= 0x14;
	MOb_TX.msg[4]= 0x15;
	MOb_TX.msg[5]= 0x16;
	MOb_TX.msg[6]= 0x17;
	MOb_TX.msg[7]= 0x18;
	MOb_TX.valid = TRUE;

//	CAN_INT();
	
	sei();

	CAN_TX_Frame(&MOb_TX);
	
//	sei();

	for (;;) 						// inf. program loop
	{			
		if (MOb_RX.valid == TRUE) {
			MOb_RX.MOb_number = 10;
			CAN_TX_Frame(&MOb_RX);
			while (CAN_TX_OK_Poll(&MOb_RX) == FALSE);
			MOb_RX.valid = FALSE;
		}
		// 	while (CAN_TX_OK_Poll(MOb_RX.MOb_number));
	//	}else {   
		MOb_RX.MOb_number = 7;
		if (CAN_RX_OK_Poll(&MOb_RX) == TRUE){
			CAN_Fct_RXOK_IRQ(7, &MOb_RX);
		}

		 PORTC |= (1<<PB2);
		 PORTC |= (1<<PB3);
		 PORTC |= (1<<PB4);
		 PORTC |= (1<<PB5);
		} 


}
